---
title: "rclone genautocomplete bash"
description: "Output bash completion script for rclone."
slug: rclone_genautocomplete_bash
url: /commands/rclone_genautocomplete_bash/
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/genautocomplete/bash/ and as part of making a release run "make commanddocs"
---
# rclone genautocomplete bash

Output bash completion script for rclone.

## Synopsis


Generates a bash shell autocompletion script for rclone.

This writes to /etc/bash_completion.d/rclone by default so will
probably need to be run with sudo or as root, e.g.

    sudo rclone genautocomplete bash

Logout and login again to use the autocompletion scripts, or source
them directly

    . /etc/bash_completion

If you supply a command line argument the script will be written
there.

If output_file is "-", then the output will be written to stdout.


```
rclone genautocomplete bash [output_file] [flags]
```

## Options

```
  -h, --help   help for bash
```

See the [global flags page](/flags/) for global options not listed here.

## SEE ALSO

* [rclone genautocomplete](/commands/rclone_genautocomplete/)	 - Output completion script for a given shell.

